Get a custom attribute details
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/custom_attribute_definitions/{id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/custom_attribute_definitions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/custom_attribute_definitions/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"attribute_display_name": "<string>",
"attribute_display_type": "<string>",
"attribute_description": "<string>",
"attribute_key": "<string>",
"regex_pattern": "<string>",
"regex_cue": "<string>",
"attribute_values": "<string>",
"attribute_model": "<string>",
"default_value": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Custom Attributes
Get a custom attribute details
Get the details of a custom attribute in the account
GET
/
api
/
v1
/
accounts
/
{account_id}
/
custom_attribute_definitions
/
{id}
Get a custom attribute details
curl --request GET \
--url https://app.yampi.ai/api/v1/accounts/{account_id}/custom_attribute_definitions/{id} \
--header 'api_access_token: <api-key>'const options = {method: 'GET', headers: {api_access_token: '<api-key>'}};
fetch('https://app.yampi.ai/api/v1/accounts/{account_id}/custom_attribute_definitions/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.yampi.ai/api/v1/accounts/{account_id}/custom_attribute_definitions/{id}"
headers = {"api_access_token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": 123,
"attribute_display_name": "<string>",
"attribute_display_type": "<string>",
"attribute_description": "<string>",
"attribute_key": "<string>",
"regex_pattern": "<string>",
"regex_cue": "<string>",
"attribute_values": "<string>",
"attribute_model": "<string>",
"default_value": "<string>",
"created_at": "<string>",
"updated_at": "<string>"
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}{
"description": "<string>",
"errors": [
{
"field": "<string>",
"message": "<string>",
"code": "<string>"
}
]
}Authorizations
Token de usuario. Envía el valor en el header api_access_token. Lo obtienes en el perfil (GET /api/v1/profile) o al regenerarlo.
Path Parameters
The numeric ID of the account
ID of the custom attribute
Response
Success
Identifier
Attribute display name
Attribute display type (text, number, currency, percent, link, date, list, checkbox)
Attribute description
Attribute unique key value
Regex pattern
Regex cue
Attribute values
Attribute type(conversation_attribute/contact_attribute)
Attribute default value
The date and time when the custom attribute was created
The date and time when the custom attribute was updated